# $Revision: 1.30 $, $Date: 2009/12/24 10:37:26 $
# TODO:
#	separate plugins/*
#
Summary:	A powerful GTK+2 media player
Summary(pl.UTF-8):	Potężny odtwarzacz multimediów oparty na GTK+2
Name:		exaile
Version:	0.3.0.2
Release:	1
# GPL v2 in COPYING; GPL v1+ in license.txt; Artistic/Perl in lib/wmainfo.py
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://launchpad.net/exaile/0.3.0/0.3.0.2/+download/%{name}-%{version}.tar.gz
# Source0-md5:	6036291d14e0b77834e60bb6492ed3cc
URL:		http://www.exaile.org/
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	python-pygtk-devel >= 2:2.8
Requires:	gstreamer-plugins-base >= 0.10
Requires:	gstreamer-plugins-good >= 0.10
Requires:	python-dbus >= 0.71
Requires:	python-gstreamer
Requires:	python-mutagen
Requires:	python-pygtk-glade >= 2:2.8
Requires:	python-sqlite
Suggests:	brasero
Suggests:	k3b
Suggests:	python-gnome-extras-mozilla
Suggests:	serpentine
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Exaile is a media player aiming to be similar to KDE's AmaroK, but for
GTK+2. It incorporates many of the cool things from AmaroK (and other
media players).

Some of the features are:
- automatic fetching of album art
- handling of large libraries
- lyrics fetching
- artist/album information via the wikipedia
- last.fm support
- optional iPod support (assuming you have python-gpod installed)
- builtin shoutcast directory browser
- tabbed playlists
- blacklisting of tracks
- downloading of guitar tabs from fretplay.com
- submitting played tracks on the iPod to last.fm

%description -l pl.UTF-8
Exaile to odtwarzacz multimediów mający być podobny do AmaroKa, ale
dla GTK+2. Łączy wiele dobrych cech AmaroKa (i innych odtwarzaczy
multimediów).

Niektóre możliwości to:
- automatyczne pobieranie okładki albumu
- obsługa dużych bibliotek
- pobieranie tekstów utworów
- informacje o wykonawcy/albumie z wikipedii
- obsługa last.fm
- opcjonalna obsługa iPoda (przy zainstalowanym pakiecie python-gpod)
- wbudowana przeglądarka katalogów shoutcastów
- playlisty z zakładkami
- czarna lista ścieżek
- ściąganie tabulatur gitarowych z fretplay.com
- przesyłanie ścieżek odtworzonych na iPodzie do last.fm

%prep
%setup -q

# there's bigger and newer es.po
rm -f po/es_ES.po
# what's Franco-Provençal?
rm -f po/frp.po
# there's bigger and newer he.po
rm -f po/he_IL.po
# there's bigger and newer it.po
rm -f po/it_IT.po
# there's bigger and newer tr.po
rm -f po/tr_TR.po

%build
%{__make} \
	PREFIX=/usr \
%ifarch x86_64
	LIBINSTALLDIR=/lib64
%else
	LIBINSTALLDIR=/lib
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=/usr \
	DESTDIR=$RPM_BUILD_ROOT \
%ifarch x86_64
	LIBINSTALLDIR=/lib64
%else
	LIBINSTALLDIR=/lib
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_sysconfdir}/xdg/exaile
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/exaile/settings.ini
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/data
# maybe seperate subpackages for plugins?
%{_datadir}/%{name}/plugins

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: exaile.spec,v $
Revision 1.30  2009/12/24 10:37:26  uzsolt
- LIBINSTALLDIR fix (because of x86_64)

Revision 1.29  2009/12/24 09:22:55  uzsolt
- 0.3.0.2
- use "make install"

Revision 1.28  2009/03/13 21:51:47  hawk
- release 2

Revision 1.27  2008/10/10 21:50:04  qwiat
- up to 0.2.14

Revision 1.26  2008/09/19 23:50:25  qwiat
- valid icon name

Revision 1.25  2008/05/16 13:00:45  dzeus
- up to 0.2.13

Revision 1.24  2008-03-26 16:28:38  qboosh
- python-pygtk epoch

Revision 1.23  2008-03-26 08:11:29  sls
- BR: gettext-devel, intltool

Revision 1.22  2008-03-26 05:47:02  sls
- rel. 1

Revision 1.21  2008-03-26 05:17:34  sls
- actually Suggests: python-gnome-extras-mozilla
- more TODO
- more mess with License

Revision 1.20  2008-03-26 05:01:01  sls
- Suggests: python-gnome-extras
- added TODO

Revision 1.19  2008-03-26 04:38:27  sls
- Suggests: misc-cdburners

Revision 1.18  2008-03-26 04:31:03  sls
- locale fixes

Revision 1.17  2008-03-26 04:28:04  sls
- make install is useless
- remove FHS.patch
- update files section

Revision 1.16  2008-03-25 23:39:43  sls
- more info about License
- removed python-2.5.patch; updated FHS.patch
- fixes in files section

Revision 1.15  2008-03-25 23:19:03  sls
- works with standard setup macro

Revision 1.14  2008-03-25 23:17:38  sls
- ver. 0.2.12 (NFY)

Revision 1.13  2007/03/29 14:13:40  radek
- R: python-pygtk-glade

Revision 1.12  2007/03/03 10:52:40  shadzik
- since when releases start from 2 ?
- rel 1 !

Revision 1.11  2007/03/03 10:40:00  czarny
- up to 0.2.10b

Revision 1.10  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.8  2007/01/09 22:56:22  patrys
- actually fix FHS

Revision 1.7  2007/01/09 09:12:25  sls
- mmkeys.so installed in python_sitearch (FHS.patch fixed)

Revision 1.6  2007/01/09 08:42:51  sls
- 0.2.8
- added FHS.patch
- added R: python-{gstreamer,mutagen,sqlite}
- added dir with plugins

Revision 1.5  2006/11/13 22:26:42  qboosh
- pl, cleanup; needs FHS fix

Revision 1.4  2006/11/12 18:42:14  patrys
- make it work

Revision 1.3  2006/11/12 18:32:17  patrys
- proper R:

Revision 1.2  2006/11/12 18:31:20  patrys
- build and package properly

Revision 1.1  2006/11/09 20:38:31  aredridel
- added, NFY
